export declare class Timeframe {
    private _period;
    private _multiplier;
    private _unit;
    constructor();
    update(period: string): void;
    get isdaily(): boolean;
    get isdwm(): boolean;
    get isintraday(): boolean;
    get isminutes(): boolean;
    get ismonthly(): boolean;
    get isseconds(): boolean;
    get isweekly(): boolean;
    get multiplier(): number;
    get period(): string;
}
